Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::AttrLetterSpacing Class Reference

Pango letter spacing C++ wrapper class. More...

`#include <xfc/pango/attributes.hh>`

Inheritance diagram for Xfc::Pango::AttrLetterSpacing:

List of all members.

## Public Member Functions

Constructors

- AttrLetterSpacing (int letter_spacing)
    Construct a new letter spacing attribute.

## Detailed Description

Pango letter spacing C++ wrapper class.

AttrLetterSpacing wraps the letter spacing attribute (ATTR_LETTER_SPACING).

## Constructor & Destructor Documentation

Xfc::Pango::AttrLetterSpacing::AttrLetterSpacing | ( | int | letter_spacing | ) | `[explicit]`

Construct a new letter spacing attribute.

Parameters:

  | letter_spacing | The amount of extra space to add between graphemes of the text, in Pango units.

The documentation for this class was generated from the following file:

- attributes.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3